Package org.h2gis.functions.spatial.mesh

# Class ST_Voronoi

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.mesh.ST_Voronoi

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Voronoi extends org.h2gis.api.DeterministicScalarFunction

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Voronoi()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.GeometryCollection`
`voronoi(org.locationtech.jts.geom.Geometry geomCollection)`
`static org.locationtech.jts.geom.GeometryCollection`
`voronoi(org.locationtech.jts.geom.Geometry geomCollection, int outputDimension)`
`static org.locationtech.jts.geom.GeometryCollection`
`voronoi(org.locationtech.jts.geom.Geometry geomCollection, int outputDimension, org.locationtech.jts.geom.Geometry envelope)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Voronoi

public ST_Voronoi()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### voronoi

public static org.locationtech.jts.geom.GeometryCollection voronoi(org.locationtech.jts.geom.Geometry geomCollection) throws SQLException

Throws:
  `SQLException`

### voronoi

public static org.locationtech.jts.geom.GeometryCollection voronoi(org.locationtech.jts.geom.Geometry geomCollection, int outputDimension) throws SQLException

Throws:
  `SQLException`

### voronoi

public static org.locationtech.jts.geom.GeometryCollection voronoi(org.locationtech.jts.geom.Geometry geomCollection, int outputDimension, org.locationtech.jts.geom.Geometry envelope) throws SQLException

Throws:
  `SQLException`